summaryrefslogtreecommitdiffstats
path: root/jjb/yardstick/yardstick-get-k8s-conf.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/yardstick/yardstick-get-k8s-conf.sh')
-rwxr-xr-xjjb/yardstick/yardstick-get-k8s-conf.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/jjb/yardstick/yardstick-get-k8s-conf.sh b/jjb/yardstick/yardstick-get-k8s-conf.sh
new file mode 100755
index 000000000..ce1e94dde
--- /dev/null
+++ b/jjb/yardstick/yardstick-get-k8s-conf.sh
@@ -0,0 +1,7 @@
+set -e
+
+dest_path="$HOME/admin.conf"
+
+if [[ "${DEPLOY_SCENARIO:0:2}" == "k8" ]];then
+ juju scp kubernetes-master/0:config "${dest_path}"
+fi